<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>AdminLTE 3 | Blank Page</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- css link nhúng thì dán vào đâu cũng dc-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">45.40</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">haiongngoai</a>
        </div>
      </div>



      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v1</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index2.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v2</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index3.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v3</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container">
            <h2 style="text-align: center;">Danh sách đăng ký</h2>
            <div class="container jumbotron">
              <div class="row">
                <div class="col-2">
                  <label for="">Trạng thái order</label>
                </div>
                <div class="col-3">
                  <select name="" id="select-order">
                    <option value="all">All</option>
                    <option value="open">Open</option>
                    <option value="confirmed">Confirmed</option>
                    <option value="cancel">Cancel</option>
                  </select>
                </div>
                <div class="col-2">
                  <label for="">Last Name</label>
                </div>
                <div class="col-3">
                    <select name="" id="select-pizzatype">
                        <option value="all">All</option>
                        <option value="hawaii">Hawaii</option>
                        <option value="bacon">Bacon</option>
                        <option value="seafood">Seafood</option>
                      </select>
                </div>
                <div class="col-2">
                  <button class="btn btn-primary filter-user">Filter</button>
                </div>
              </div>
            </div>
            <table class="table table-bordered table-striped table-hover" id="user-table">
              <thead>
                <tr>
                  <th>OrderID</th>
                  <th>Kích Cỡ Combo</th>
                  <th>Loại Pizza</th>
                  <th>Nước uống</th>
                  <th>Thành tiền</th>
                  <th>Họ và tên</th>
                  <th>Số điện thoại</th>
                  <th>Trạng thái</th>
                  <th>Chi Tiết</th>
                </tr>
            </table>
          </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.2.0
    </div>
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
  </footer>

</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- phần scrip bắt buộc phải để trước admind lte -->
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>

<!-- trong admin lte js phải nằm cuối cùng -->

<script>
    $(document).ready(function(){

    const gCOLUMN_ID = 0;
    const gCOLUMN_KICH_CO = 1;
    const gCOLUMN_LOAI_PIZZA = 2;
    const gCOLUMN_NUOC_UONG = 3;
    const gCOLUMN_THANH_TIEN = 4 ;
    const gCOLUMN_FULLNAME = 5;
    const gCOLUMN_PHONE = 6;
    const gCOLUMN_STATUS = 7;
    const gCOLUMN_ACTION = 8;
    

    const gCOL_NAME = ["orderId","kichCo" , "loaiPizza","idLoaiNuocUong","thanhTien","hoTen","soDienThoai","trangThai","action"]

    var gUser = {
        users:[] ,
        filterUser : function(paramFilter){
            var vResul = [] ;
            vResul = this.users.filter(function(user){
          // đây là cách lọc chỉ tương đối và là live nên chỉ cần nhập 1 vài chữ là sẽ ra tên luôn
          return ((paramFilter.trangThai == "All" || user.trangThai.toUpperCase().includes(paramFilter.trangThai.toUpperCase()))
          &&      (paramFilter.loaiPizza == "All" || user.loaiPizza.toUpperCase().includes(paramFilter.loaiPizza.toUpperCase()))) ;
        })
        return vResul
        }
        
    }
    var gUserTable = $("#user-table").DataTable( {
      // Khai báo các cột của datatable
      "columns" : [
          { "data" : gCOL_NAME[gCOLUMN_ID] },
          { "data" : gCOL_NAME[gCOLUMN_KICH_CO] },
          { "data" : gCOL_NAME[gCOLUMN_LOAI_PIZZA] },
          { "data" : gCOL_NAME[gCOLUMN_NUOC_UONG] },
          { "data" : gCOL_NAME[gCOLUMN_THANH_TIEN] },
          { "data" : gCOL_NAME[gCOLUMN_FULLNAME] },
          { "data" : gCOL_NAME[gCOLUMN_PHONE] },
          { "data" : gCOL_NAME[gCOLUMN_STATUS] },
          { "data" : gCOL_NAME[gCOLUMN_ACTION] }
      ],
      // Ghi đè nội dung của cột action, chuyển thành button chi tiết
      "columnDefs":[ 
      {
          "targets": gCOLUMN_ACTION,
          "defaultContent": "<button class = 'btn btn-primary detail-click'>Chi Tiết</button>"
      },
    ]
    });

    $(document).on("click" , ".detail-click", function(){
        onBtnDetailClick(this)
    });
    $(document).on("click" , ".filter-user" , function(){
        filterUser();
    })
    function onBtnDetailClick(paramDetail){
        var vRowSelected = $(paramDetail).parents('tr');
        //Lấy datatable row
        var vDatatableRow = gUserTable.row(vRowSelected); 
        //Lấy data của dòng 
        var vUserData = vDatatableRow.data();
        var vId = vUserData.id;

        console.log(vId)
    }

    callApiGetAllOrder();

    function filterUser(){
        var vFilter = {
            trangThai:"",
            loaiPizza:""
        }

        getSelectData(vFilter)

      var filterUser = gUser.filterUser(vFilter);

      loadDataToTable(filterUser)
    }
    function callApiGetAllOrder(){
        $.ajax({
            async:false,
            url: "http://42.115.221.44:8080/devcamp-pizza365/orders",
            type: "GET",
            dataType:'json',
        success:function(res){
            console.log(JSON.stringify(res));
            gUser.users = res ;
            loadDataToTable(gUser.users)
            },
        error:function(error){
            console.assert(error)
            }
        });
    }
    function loadDataToTable(paramResponseObject) {
      //Xóa toàn bộ dữ liệu đang có của bảng
      gUserTable.clear();
      //Cập nhật data cho bảng 
      gUserTable.rows.add(paramResponseObject);
      //Cập nhật lại giao diện hiển thị bảng
      gUserTable.draw();
    }

    function getSelectData(paramData){
        paramData.trangThai = $("#select-order option:selected").text()
        paramData.loaiPizza = $("#select-pizzatype option:selected").text()
    }
})
</script>
</body>
</html>
